com.thinkaurelius.titan.diskstorage.indexing

## Class RawQuery

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.query.BaseQuery
  - - com.thinkaurelius.titan.diskstorage.indexing.RawQuery

- All Implemented Interfaces:
    Query

      public class RawQuery
      extends BaseQuery

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RawQuery.Result<O>`

  - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.graphdb.query.Query

      `NO_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawQuery(String store, String query, Parameter[] parameters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOffset()`
    `Parameter[]` | `getParameters()`
    `String` | `getQuery()`
    `String` | `getStore()`
    `RawQuery` | `setLimit(int limit)` Sets the limit of the query if it wasn't specified in the constructor
    `RawQuery` | `setOffset(int offset)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.query.BaseQuery

      `getLimit, hasLimit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RawQuery

          public RawQuery(String store,
                  String query,
                  Parameter[] parameters)

  - ### Method Detail

    - #### setOffset

          public RawQuery setOffset(int offset)

    - #### setLimit

          public RawQuery setLimit(int limit)

      Description copied from class: `BaseQuery`
      Sets the limit of the query if it wasn't specified in the constructor
      Overrides:
        `setLimit` in class `BaseQuery`
      Returns:

    - #### getOffset

          public int getOffset()

    - #### getStore

          public String getStore()

    - #### getQuery

          public String getQuery()

    - #### getParameters

          public Parameter[] getParameters()

Copyright © 2012–2014. All rights reserved.